/* 
   ipmi-sel-cmds.h - IPMI System Event Log Commands
   
   Copyright (C) 2003 - 2004 FreeIPMI Core Team

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
*/

#ifndef _IPMI_SEL_CMDS_H
#define _IPMI_SEL_CMDS_H

#ifdef __cplusplus
extern "C" {
#endif

extern fiid_template_t tmpl_get_sel_info_rq;
extern fiid_template_t tmpl_get_sel_info_rs;

extern fiid_template_t tmpl_get_sel_alloc_info_rq;
extern fiid_template_t tmpl_get_sel_alloc_info_rs;

extern fiid_template_t tmpl_reserve_sel_rq;
extern fiid_template_t tmpl_reserve_sel_rs;

extern fiid_template_t tmpl_get_sel_entry_rq;
extern fiid_template_t tmpl_get_sel_entry_rs;

int8_t ipmi_kcs_get_sel_info (u_int16_t sms_io_base, fiid_obj_t obj_hdr_rs, fiid_obj_t obj_data_rs);
int8_t ipmi_kcs_get_sel_alloc_info (u_int16_t sms_io_base, fiid_obj_t obj_hdr_rs, fiid_obj_t obj_data_rs);
int8_t ipmi_kcs_reserve_sel (u_int16_t sms_io_base, fiid_obj_t obj_hdr_rs, fiid_obj_t obj_data_rs);
int8_t ipmi_kcs_get_sel_entry (u_int16_t sms_io_base, fiid_obj_t obj_hdr_rs, fiid_obj_t obj_data_rs);



#ifdef __cplusplus
}
#endif

#endif
