/*
   ipmi-debug.h - IPMI Debugging Functions

   Copyright (C) 2003 FreeIPMI Core Team

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _IPMI_DEBUG_H
#define	_IPMI_DEBUG_H

#ifdef __cplusplus
extern "C" {
#endif

#include <unistd.h>

#define IPMI_DEBUG_DEFAULT_FD   STDERR_FILENO
  
/* IPMI KCS Interface */
int hex_dump(int fd, unsigned char *buf, int buflen, char *prfx, char *pkt_type);
int8_t fiid_obj_dump (int fd, fiid_obj_t obj, fiid_template_t tmpl);
u_int8_t ipmi_kcs_print_state (int fd, u_int8_t state);



#ifdef __cplusplus
}
#endif

#endif /* ipmi-debug.h */


