/* 
   ipmi-utils.h - general utility procedures

   Copyright (C) 2003, 2004 FreeIPMI Core Team

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

*/

#ifndef _IPMI_UTILS_H
#define	_IPMI_UTILS_H	1

#ifdef __cplusplus
extern "C" {
#endif

#include <sys/types.h>

#define IPMI_COMP_CODE(obj_cmd)  obj_cmd[1]

typedef  int8_t ipmi_chksum_t;
ipmi_chksum_t ipmi_chksum (u_int8_t *buf, u_int64_t len);
int8_t ipmi_chksum_test (u_int8_t *buf, u_int64_t len);
int8_t ipmi_lan_chksum_test (void *pkt, fiid_template_t tmpl_session, fiid_template_t tmpl_cmd);
int8_t ipmi_comp_test (fiid_obj_t obj_cmd);
int ipmi_input_timeout (int fd, unsigned int seconds);

#ifdef __cplusplus
}
#endif

#endif /* ipmi-utils.h */


